Package org.snpeff.interval.codonChange

# Class CodonChangeDup

java.lang.Object
org.snpeff.interval.codonChange.CodonChange
org.snpeff.interval.codonChange.CodonChangeStructural
org.snpeff.interval.codonChange.CodonChangeDup

public class CodonChangeDup extends CodonChangeStructural
Calculate codon changes produced by a duplication

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.interval.codonChange.CodonChangeStructural

`cdsAlt, cdsRef, coding, debug, exonFull, exonPartial`

### Fields inherited from class org.snpeff.interval.codonChange.CodonChange

`CODON_SIZE, showCodonChange`

## Constructor Summary

Constructors
Constructor
Description
`CodonChangeDup(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`effectTranscript()`
`protected void`
`exons()`
Variant affect one or more exons
`protected void`
`exonsCoding()`
One or more exons fully included (no partial overlap)
`protected void`
`exonsNoncoding()`
Effects for non-coding transcripts
`protected void`
`intron()`
Inversion does not intersect any exon

### Methods inherited from class org.snpeff.interval.codonChange.CodonChangeStructural

`cdsDiff, codonChange, codonChangeSuper, codonsRefAlt, countAffectedExons`

### Methods inherited from class org.snpeff.interval.codonChange.CodonChange

`additionalEffect, cdsBaseNumber, codonChange, codonsAlt, codonsRef, codonsRef, effect, effectNoCodon, effectNoCodon, factory, intersectsExons, netCdsChange, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CodonChangeDup

public CodonChangeDup(Variant variant, Transcript transcript, VariantEffects variantEffects)

## Method Details

### effectTranscript

protected void effectTranscript()

Specified by:
  `effectTranscript` in class `CodonChangeStructural`

### exons

protected void exons()
Description copied from class: `CodonChangeStructural`
Variant affect one or more exons

Specified by:
  `exons` in class `CodonChangeStructural`

### exonsCoding

protected void exonsCoding()
One or more exons fully included (no partial overlap)

Specified by:
  `exonsCoding` in class `CodonChangeStructural`

### exonsNoncoding

protected void exonsNoncoding()
Effects for non-coding transcripts

Specified by:
  `exonsNoncoding` in class `CodonChangeStructural`

### intron

protected void intron()
Inversion does not intersect any exon

Specified by:
  `intron` in class `CodonChangeStructural`